<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:orientation="vertical">

    <androidx.cardview.widget.CardView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:cardBackgroundColor="@color/transparent"
        app:cardCornerRadius="8dp"
        app:cardElevation="0dp">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/imageContainer"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">

            <com.facebook.drawee.view.SimpleDraweeView
                android:id="@+id/common_collection_image"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:actualImageScaleType="centerCrop"
                app:backgroundImage="@color/placeholder_bg"
                app:fadeDuration="500"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:placeholderImage="@drawable/preload"
                app:pressedStateOverlayImage="@color/pressed_bg"
                app:viewAspectRatio="2" />

            <View
                android:id="@+id/maskView"
                android:layout_width="match_parent"
                android:layout_height="60dp"
                android:background="@drawable/common_collection_item_title_bg"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent" />

            <LinearLayout
                android:id="@+id/titleContainer"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:paddingLeft="12dp"
                android:paddingTop="19dp"
                android:paddingRight="12dp"
                android:paddingBottom="12dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent">

                <TextView
                    android:id="@+id/titleTv"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:ellipsize="end"
                    android:maxLines="1"
                    android:textColor="@color/white"
                    android:textSize="14sp"
                    tools:text="8月游戏热点回顾下载" />

                <TextView
                    android:id="@+id/desTv"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="4dp"
                    android:ellipsize="end"
                    android:maxLines="1"
                    android:textColor="@color/text_dddddd"
                    android:textSize="11sp"
                    android:visibility="gone"
                    tools:text="享受纯粹的游戏乐趣" />
            </LinearLayout>
        </androidx.constraintlayout.widget.ConstraintLayout>
    </androidx.cardview.widget.CardView>

    <TextView
        android:id="@+id/linkTitleTv"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        android:ellipsize="end"
        android:maxLines="1"
        android:textColor="@color/text_primary"
        android:textSize="14sp"
        android:visibility="gone"
        tools:text="linkTitleTv"
        tools:visibility="visible" />

    <TextView
        android:id="@+id/linkDes1"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="4dp"
        android:ellipsize="end"
        android:maxLines="1"
        android:textColor="@color/text_secondary"
        android:textSize="12sp"
        android:visibility="gone"
        tools:text="linkDes1"
        tools:visibility="visible" />

    <TextView
        android:id="@+id/linkDes2"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="4dp"
        android:ellipsize="end"
        android:maxLines="1"
        android:textColor="@color/text_tertiary"
        android:textSize="12sp"
        android:visibility="gone"
        tools:text="linkDes2"
        tools:visibility="visible" />
</LinearLayout>